Summary:        A library for bits of crypto UI and parsing
Name:           gcr3
Version:        3.41.1
Release:        5%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/CryptoGlue
Source0:        https://download.gnome.org/sources/gcr/3.41/gcr-%{version}.tar.xz

BuildRequires:  gettext meson docbook-style-xsl libgcrypt-devel desktop-file-utils
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(gtk+-3.0) pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsystemd) pkgconfig(systemd) pkgconfig(p11-kit-1) pkgconfig(gio-unix-2.0)
BuildRequires:  systemd-rpm-macros vala valgrind-devel
BuildRequires:  /usr/bin/gpg2 /usr/bin/ssh-add /usr/bin/ssh-agent /usr/bin/xsltproc

Requires: %{name}-base = %{version}-%{release}
Requires: /usr/bin/ssh-add /usr/bin/ssh-agent

%description
gcr is a library for displaying certificates, and crypto UI, accessing key stores. It also provides a viewer for
crypto files on the GNOME desktop.

gck is a library for accessing PKCS#11 modules like smart cards.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package includes the header files for the gcr library.

%package base
Summary: Library files for gcr

%description base
The %{name}-base package includes the gcr-base library.

%prep
%autosetup -p1 -n gcr-%{version}

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install
%find_lang gcr

rm -rf %{buildroot}%{_libexecdir}/gcr-ssh-agent
rm -rf %{buildroot}%{_userunitdir}/gcr-ssh-agent.service
rm -rf %{buildroot}%{_userunitdir}/gcr-ssh-agent.socket

%files -f gcr.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/gcr-viewer
%{_datadir}/applications/gcr-viewer.desktop
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/gsettings
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp.convert
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp_keyservers.convert
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/applications/gcr-prompter.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/gcr-crypto-types.xml
%{_libdir}/girepository-1.0/
%{_libdir}/libgcr-ui-3.so.1*
%{_libexecdir}/gcr-prompter
%{_libexecdir}/gcr-ssh-askpass

%files devel
%{_includedir}/gck-1/
%{_includedir}/gcr-3/
%{_libdir}/libgck-1.so
%{_libdir}/libgcr-base-3.so
%{_libdir}/libgcr-ui-3.so
%{_libdir}/pkgconfig/gck-1.pc
%{_libdir}/pkgconfig/gcr-3.pc
%{_libdir}/pkgconfig/gcr-base-3.pc
%{_libdir}/pkgconfig/gcr-ui-3.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/

%files base
%{_libdir}/libgck-1.so.0*
%{_libdir}/libgcr-base-3.so.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.41.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.41.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.41.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.41.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Shuo Wang <abushwang@tencent.com> - 3.41.1-1
- initial build
